%define subver 10

Summary:	A Web server log file analysis program.
Name:		webalizer
Version:	2.01
Release:	1.3.0
License:	GPL
Group:		Applications/System
Source:		ftp://www.mrunix.net/pub/webalizer/webalizer-%{version}-%{subver}-src.tar.bz2
Source1:	webalizer.sh
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Patch0:		webalizer-2.01-9-sample-gd.patch
Patch1:		webalizer-2.01-10-db-include-fix-gd-2.diff

%description
The Webalizer is a Web server log file analysis program written in C
for speed and portability.  The Webalizer produces usage statistics
reports in HTML format which can be viewed with a browser.  Usage
statistics are presented in both columnar and graphical format and the
reports are very configurable.  The Webalizer supports multiple
languages, unlimited log file sizes and partial logs, standard Common
Logfile Format server logs and some variations of Extended Logfile
Format server logs.

%prep
%setup -q -n webalizer-%{version}-%{subver}
%patch0 -p1
%patch1 -p1

%build
  CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=/usr --mandir=/usr/share/man --with-gdlib=/usr/lib \
	--with-gd=/usr/include --enable-dns
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/usr/bin
  mkdir -p $RPM_BUILD_ROOT/etc/webalizer
  mkdir -p $RPM_BUILD_ROOT/usr/lib/webalizer
  mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
  make prefix=$RPM_BUILD_ROOT/usr install

  install -m 644 sample.conf $RPM_BUILD_ROOT/etc/webalizer/webalizer.conf
  install -m 755 %{SOURCE1}  $RPM_BUILD_ROOT/usr/lib/webalizer
  rm -f $RPM_BUILD_ROOT/usr/bin/webazolver && \
	cd $RPM_BUILD_ROOT/usr/bin && ln -s webalizer webazolver

%files
%defattr(-,root,root) 
%config /etc/webalizer/webalizer.conf
/usr/bin/webalizer
/usr/lib/webalizer/webalizer.sh
/usr/bin/webazolver

%doc CHANGES COPYING Copyright INSTALL README README.FIRST DNS.README
%doc country-codes.txt msfree.png webalizer.png webalizer.LSM 

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Tue Feb 04 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.01, Release 1.5.0
  - s/db.h/db1\/db.h/ in dns_resolv.c.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Thu Apr 18 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.01, Release 1.2.1
  - Update to 2.01-10 which fixes a bunch of little bugs and an
    obscure buffer overflow.

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).
  - Removed pre-EnGarde changelog.

* Mon Oct 29 2001 Dave Wreski <dave@guardiandigital.com>
- Version 2.01, Release 1.1.2
  - Update to fix Oct 5 time problem
  - Add webazolver, fix DNS

* Thu Aug 09 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.01, Release 1.1.1
  - Updated to version 2.01 so we can --enable-dns.
  - Rebuild against gd-1.8.4.
  - Cleaned spec so it looks more like my v2.0 spec.
  - Removed Makefile patch.  Just specify CFLAGS to ./configure.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.30.04, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Tue Apr 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.30.04, Release 1.0.2
  - Fixed to build for i386.

* Sun Nov 26 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.30.04, Revision 1.0.1
- Updated revision to match our naming system.
- Moved config file into /etc/webalizer
