#!/bin/sh
#
# Jeremy Hansen <jeremy@xxedgexx.com>  June 1, 1998
#
# Simple shell script to process large amounts
# of access_logs.  This of course will only
# work if your setup exactly like mine.  If not,
# this will give you an idea how to do things
# for your setup.

# I keep all my site directory structures in /home/WWW
# this way, directories are fairly static.  Logs will
# alway appear in /home/WWW/*/logs/access_log

ls /home/WWW > /tmp/$$.www_servers

# For each listing in /home/WWW, process using webalizer.
# Test for the existance of /home/WWW/*/htdocs/usage.  If
# it doesn't exist, create it.

SERVER=`cat /tmp/$$.www_servers`
for i in $SERVER
   do
      if [ -d /home/WWW/$i/htdocs/usage ]; then
         /usr/bin/webalizer -n $i -o /home/WWW/$i/htdocs/usage \
         /home/WWW/$i/logs/access_log
      else
         mkdir /home/WWW/$i/htdocs/usage
         /usr/bin/webalizer -n $i -o /home/WWW/$i/htdocs/usage \
         /home/WWW/$i/logs/access_log
      fi
done

rm /tmp/$$.www_servers

# fin
